Package org.apache.lucene.misc.search

# Class DiversifiedTopDocsCollector.ScoreDocKey

java.lang.Object
org.apache.lucene.search.ScoreDoc
org.apache.lucene.misc.search.DiversifiedTopDocsCollector.ScoreDocKey

Enclosing class:
  `DiversifiedTopDocsCollector`

public static class DiversifiedTopDocsCollector.ScoreDocKey extends ScoreDoc
An extension to ScoreDoc that includes a key used for grouping purposes

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.search.ScoreDoc

  `COMPARATOR, doc, score, shardIndex`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ScoreDocKey(int doc, float score)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Long`
  `getKey()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ScoreDocKey

    protected ScoreDocKey(int doc, float score)

- ## Method Details

  - ### getKey

    public Long getKey()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `ScoreDoc`